WordPress 5.8.3 is nu beschikbaar (security update)

WordPress 5.8.3

Op 6 januari werd WordPress 5.8.3 uitgerold. Het betreft een tussentijdse security update. Deze is dus puur om de veiligheid van je WordPress website te waarborgen en introduceert verder geen nieuwe features of verbeteringen.

Security fixes

WordPress 5.8.3 repareert vier beveiliging gerelateerde problemen die relevant zijn voor alle WordPress versies vanaf 3.7 tot en met 5.8. Mocht je je WordPress installatie nog niet geüpdatet hebben naar versie 5.8: alle WordPress versies vanaf 3.7 zijn ook geüpdatet zodat ze de security fixes hebben.

De volgende problemen worden met deze update verholpen:

  • Stored XSS via bericht slugs.
  • Object injection op bepaalde multisite installaties.
  • SQL injection kwetsbaarheid in WP_Query.
  • SQL injection kwetsbaarheid in WP_Meta_Query (alleen relevant voor WordPress 4.1 tot en met 5.8).

We raden je aan om je WordPress website zo snel mogelijk te updaten naar de meest recente versie als dat nog niet automatisch gebeurd is.

WordPress 5.8.3 installeren

WordPress websites waarbij automatische updates ingeschakeld staan, zijn inmiddels al geüpdatet. Dient jouw installatie handmatig geüpdatet te worden? In dat geval raden we je uit veiligheidsoverwegingen aan om dit zo snel mogelijk te doen. Dit kan door WordPress 5.8.3 te downloaden vanaf WordPress.org. Het makkelijkste is echter om op je WordPress dashboard in te loggen, waarna je naar Updates navigeert. Daar kun je vervolgens op Nu updaten klikken. Zoals altijd raden we aan om voorafgaand aan het updaten eerst een volledige backup van je WordPress website te maken. Op die manier heb je altijd een werkende versie van je site achter de hand in het geval er iets mis gaat.

Meer weten over WordPress 5.8.3?

Wil je meer informatie over de security fixes in deze update? Bekijk dan de HelpHub documentatie voor versie 5.8.3. De volgende grote WordPress update zal versie 5.9 zijn, waarvan de officiële release gepland staat voor 25 januari.

Lees ook: Dit kunnen we verwachten van WordPress 5.9

Geef een antwoord